﻿
@import url('https://fonts.googleapis.com/css2?family=Inter+Tight:ital,wght@0,100..900;1,100..900&family=Overpass:ital,wght@0,100..900;1,100..900&display=swap');

/***** Start of primary nav ******/
#menu-button{display: none;}
nav.mobile { display:none;}

nav.primary {
	padding:0px;
	display:flex; 
	flex-direction:row;
	justify-content:center;
	width:100%;
	}
	nav.primary ul {
		margin:0; 
		padding:0;
		display:flex;
		flex-direction:row;
		justify-content: flex-start;
		width:100%;
		
		}
		nav.primary ul li {
			display:inline-block;
			margin:0;
			list-style-type:none; 
			position:relative;
			}
#mega{position:unset!important;}
			nav.primary ul li a {
				color:#231f20;
				font-size:16px;
				line-height:1;
				text-decoration:none;
				display:inline-block;
				text-transform: uppercase;
				font-weight:400;
				padding:10px 0 15px 10px;
				font-family:'Inter Tight', sans-serif;
				transition:.3s ease;
				border-bottom:solid 2px #fff;
				}	

				nav.primary ul li a:hover{
				border-bottom:solid 2px #387c2b;
				}
			/* Appearance of the sub-level links */
			nav.primary ul li li a { 
				font-size:15px;
				line-height:24px;
				padding:5px 0;
				text-transform:capitalize!important;
				color:#000;
				background-color:#fff;
				text-align:left;
				transition:.4s ease;
				width:100%;
				border-bottom:none!important;
			}
			/* Appearance of the sub-level links on hover */
			nav.primary ul li li a:hover { 
				COLOR:#333;
				border-bottom:none!important;
			}
/* This controls the Primary nav dropdowns for sublinks. Should not have to edit this too muuch */
nav.primary ul ul {
    display: none;
    position: absolute; 

}
nav.primary ul ul ul {
    position: absolute; 
    left: 100%;
    top:0; 
}
nav.primary ul li:hover > ul {  
    display: block;
    line-height:18px; 
    z-index: 1000; 
	padding:20px; background:#fff;
	width:220px;
	box-shadow:0 0 8px 2px rgba(0,0,0,.15);
}
nav.primary ul ul li {
    float: none; 
	width: 100%!important;
    position: relative;
    margin:0;
	display: block;
}




nav.primary ul li a .caret{margin-top:5px; margin-left:10px; display:inline-block; width: 0; height: 0; verical-align:top; border-top:6px solid #ccc; border-right: 6px solid transparent; border-left: 6px solid transparent; content:""; opacity:.5; }

@media screen and (max-width: 1200px)  {
	nav.primary ul li a{font-size:13px; padding:5px 0 15px 5px;}
}

/******** End of primary Nav ***************/

@media screen and (max-width: 1000px)  {
	
/*==============================
	Mobile Nav Styles			
================================*/	
nav.primary{display:none;}
#menu-button{ 
	display: inline-block;
	font-size: 24px;
	width:65px;
	border-left:solid 1px #ccc;
	position: relative;
	z-index: 400; /* needs to be lower than nav.mobile, adjust as needed */
	text-align: right;
	box-sizing:border-box;
	}
	#menu-button a{
		 color:#000;
		 text-decoration: none;
		 padding:2px 0 0 0; 
		 font-weight:400;
		line-height:50px;
		font-size:28px;
		height: 100%;
    	display: flex;
    	justify-content: flex-end;
		padding-right:20px;
	  }
nav.mobile {
	display:block;
	position: fixed;
	top: 0;
	right: -350px;
	width: 350px;
	height: 100%;
	background: #fff;
	z-index: 500; /* needs to be higher than #menu-button, adjust as needed */
	overflow:auto;
}

/* MENU HEADER STYLES */
nav.mobile .mobile_top {
	position: relative;
	display:block;
	padding: 0;
	margin:50px 0 10px 0;
	color: #999;
	font-size: 18px;
	font-weight: 400;
}
	nav.mobile ul{padding:0 20px!important;}
	nav.mobile ul p{font-size:20px; font-weight:700; color:#000; padding:15px 0;}
	
	nav.mobile ul .list{background-color:#555; padding: 10px 25px;}
	nav.mobile ul .list li{ border-top:none;}
	nav.mobile ul .list li a{padding:15px 25px 15px 0; color:#fff;background-color:#555; font-size:14px; }
	
	nav.mobile ul .list2{padding:0;}
	nav.mobile ul .list2{border:none;}
	nav.mobile ul .list2 li a{border:none; background-color: rgba(0,0,0,.4)!important; padding:13px 15px; margin-bottom:.5em; border-radius:5px; }

	nav.mobile ul li .caret{position:absolute; right:0; border-top:7px solid rgba(225,225,225,.5); border-right:7px solid transparent; border-left: 7px solid transparent;}
/* MENU CLOSE 'X' BUTTON */
nav.mobile .menu-toggle {
	position: absolute;
	font-family: Arial, sans-serif;
	font-size:26px;
	font-weight: 200;
	line-height: 1;
	color: #333;
	text-decoration: none;
	left:5px;
	top:2px
}
nav.mobile .menu-toggle:hover { /* Menu close button on hoveer */
	color: #fff;
}

/* MENU LIST STYLE */
nav.mobile ul {
	list-style: none;
	font-weight: 300;
	margin:0;
	padding:0;
}
nav.mobile ul li {
	position:relative;
}

/* FIRST LEVEL */
nav.mobile ul li a {
	position: relative;
	display: block;
	font-size:17px;
	padding: 10px;font-weight:400;
	color: #000!important;
	text-decoration: none;
	text-align: left;
	border-left: solid 3px #fff;
}
nav.mobile ul li a:hover, nav.mobile ul li a:focus {
	border-left:solid 3px #367c2b;
	/* border highlight - Change to fit match site colors */
}
	nav.mobile ul ul{padding:0!important;}
/* SECOND LEVEL */
nav.mobile ul li li:last-child {border:none;}
nav.mobile ul li li a {
	background: #fff;
	position: relative;
	display: block;
	padding: 10px;
	color: #222;
	text-decoration: none;
	border-left:solid 2px #eeeeee;
}
nav.mobile ul li li a:hover {background:rgba(65,65,65,0.5);}

/* THIRD LEVEL */
nav.mobile ul li li li:last-child {border:none;}
nav.mobile ul li li li a {
	background: #555;
	position: relative;
	display: block;
	padding: 10px 10px 10px 25px;
	color: #ccc;
	text-decoration: none;
	border-left:4px #555 solid;
}
nav.mobile ul li li li a:hover {background:rgba(85,85,85,0.5);}

nav.mobile ul li .click{/* dropdown menu idicator arrow be sure to include this image with your image files */ 
	position:relative;
	display:block;
	cursor:pointer;
	width:auto;
	height:auto;
	padding: 10px;
	color:#fff;
	}





}









